{
  "name": "nestjs-boilerplate",
  "version": "1.1.0",
  "description": "",
  "author": "",
  "private": true,
  "license": "MIT",
  "scripts": {
    "typeorm": "env-cmd ts-node -r tsconfig-paths/register ./node_modules/typeorm/cli.js",
    "migration:generate": "npm run typeorm -- --dataSource=src/database/data-source.ts migration:generate",
    "migration:create": "npm run typeorm -- migration:create",
    "migration:run": "npm run typeorm -- --dataSource=src/database/data-source.ts migration:run",
    "migration:revert": "npm run typeorm -- --dataSource=src/database/data-source.ts migration:revert",
    "schema:drop": "npm run typeorm -- --dataSource=src/database/data-source.ts schema:drop",
    "seed:create:relational": "hygen seeds create-relational",
    "seed:run:relational": "ts-node -r tsconfig-paths/register ./src/database/seeds/relational/run-seed.ts",
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:swc": "nest start -b swc -w",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\"",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "env-cmd jest --config ./test/jest-e2e.json",
    "test:e2e:relational:docker": "docker compose -f docker-compose.relational.test.yaml --env-file env-example-relational -p tests up -d --build && docker compose -f docker-compose.relational.test.yaml -p tests exec api /opt/wait-for-it.sh -t 0 localhost:3000 -- npm run test:e2e -- --watchAll --runInBand && docker compose -f docker-compose.relational.test.yaml -p tests down && docker compose -p tests rm -svf",
    "prepare": "is-ci || husky",
    "release": "release-it"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "3.569.0",
    "@aws-sdk/s3-request-presigner": "3.569.0",
    "@nestjs/common": "10.3.8",
    "@nestjs/config": "3.2.2",
    "@nestjs/core": "10.3.8",
    "@nestjs/jwt": "10.2.0",
    "@nestjs/passport": "10.0.3",
    "@nestjs/platform-express": "10.3.8",
    "@nestjs/platform-socket.io": "^10.3.8",
    "@nestjs/swagger": "7.3.1",
    "@nestjs/typeorm": "10.0.2",
    "@nestjs/websockets": "^10.3.8",
    "@types/multer-s3": "3.0.3",
    "apple-signin-auth": "1.7.6",
    "bcryptjs": "2.4.3",
    "class-transformer": "0.5.1",
    "class-validator": "0.14.1",
    "cors": "^2.8.5",
    "dotenv": "16.4.5",
    "fb": "2.0.0",
    "google-auth-library": "9.9.0",
    "handlebars": "4.7.8",
    "ms": "2.1.3",
    "multer": "1.4.5-lts.1",
    "multer-s3": "3.0.1",
    "nestjs-i18n": "10.4.5",
    "nodemailer": "6.9.13",
    "passport": "0.7.0",
    "passport-anonymous": "1.0.1",
    "passport-jwt": "4.0.1",
    "pg": "8.11.5",
    "reflect-metadata": "0.2.2",
    "rimraf": "5.0.6",
    "rxjs": "7.8.1",
    "socket.io": "^4.7.5",
    "source-map-support": "0.5.21",
    "swagger-ui-express": "5.0.0",
    "twitter": "1.7.1",
    "typeorm": "0.3.20"
  },
  "devDependencies": {
    "@commitlint/cli": "19.3.0",
    "@commitlint/config-conventional": "19.2.2",
    "@faker-js/faker": "^8.4.1",
    "@nestjs/cli": "10.3.2",
    "@nestjs/schematics": "10.1.1",
    "@nestjs/testing": "10.3.8",
    "@release-it/conventional-changelog": "8.0.1",
    "@swc/cli": "0.3.12",
    "@swc/core": "1.5.5",
    "@types/bcryptjs": "2.4.6",
    "@types/express": "4.17.21",
    "@types/facebook-js-sdk": "3.3.11",
    "@types/jest": "29.5.12",
    "@types/ms": "0.7.34",
    "@types/multer": "1.4.11",
    "@types/node": "20.12.8",
    "@types/passport-anonymous": "1.0.5",
    "@types/passport-jwt": "4.0.1",
    "@types/supertest": "6.0.2",
    "@types/twitter": "1.7.4",
    "@typescript-eslint/eslint-plugin": "7.8.0",
    "@typescript-eslint/parser": "7.8.0",
    "env-cmd": "10.1.0",
    "eslint": "8.57.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-plugin-import": "2.29.1",
    "eslint-plugin-prettier": "5.1.3",
    "husky": "9.0.11",
    "hygen": "6.2.11",
    "is-ci": "3.0.1",
    "jest": "29.7.0",
    "prettier": "3.2.5",
    "prompts": "2.4.2",
    "release-it": "17.2.1",
    "supertest": "7.0.0",
    "ts-jest": "29.1.2",
    "ts-loader": "9.5.1",
    "ts-node": "10.9.2",
    "tsconfig-paths": "4.2.0",
    "tslib": "2.6.2",
    "typescript": "5.4.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  },
  "engines": {
    "node": ">=16.0.0",
    "npm": ">=8.0.0"
  },
  "release-it": {
    "git": {
      "commitMessage": "chore: release v${version}"
    },
    "github": {
      "release": true
    },
    "npm": {
      "publish": false
    },
    "plugins": {
      "@release-it/conventional-changelog": {
        "infile": "CHANGELOG.md",
        "preset": {
          "name": "conventionalcommits",
          "types": [
            {
              "type": "chore(deps)",
              "section": "Dependency Upgrades"
            },
            {
              "type": "fix(deps)",
              "section": "Dependency Upgrades"
            },
            {
              "type": "feat",
              "section": "Features"
            },
            {
              "type": "fix",
              "section": "Bug Fixes"
            },
            {
              "type": "perf",
              "section": "Performance Improvements"
            },
            {
              "type": "revert",
              "section": "Reverts"
            },
            {
              "type": "docs",
              "section": "Documentation"
            },
            {
              "type": "refactor",
              "section": "Code Refactoring"
            },
            {
              "type": "test",
              "section": "Tests"
            },
            {
              "type": "ci",
              "section": "Continuous Integration"
            }
          ]
        }
      }
    }
  }
}
